#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct FindSimilarLabelMatchesResponse {
    #[builder(
        default,
        map(
            key(type = String, into),
            value(
                custom(
                    type = impl
                    IntoIterator<Item = super::MatchCount>,
                    convert = |v|v.into_iter().collect()
                )
            )
        )
    )]
    #[serde(
        rename = "matches",
        skip_serializing_if = "std::collections::BTreeMap::is_empty",
        default
    )]
    matches: std::collections::BTreeMap<String, Vec<super::MatchCount>>,
}
impl FindSimilarLabelMatchesResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn matches(
        &self,
    ) -> &std::collections::BTreeMap<String, Vec<super::MatchCount>> {
        &self.matches
    }
}
